#!/usr/bin/python

import argparse
import os
import sys

from pkgme import __version__, write_packaging
from pkgme import trace


def main(argv=None, target_dir=None):
    if argv is None:
        argv = sys.argv[1:]
    parser = argparse.ArgumentParser(
        description='pkgme - A Debian packaging generation framework.')
    parser.add_argument(
        '-v', '--version',
        action='version', version='pkgme {0}'.format(__version__),
        help='Print this version string and exit')
    parser.add_argument('-D', '--debug', action='store_true')
    options = parser.parse_args(args=argv)
    if options.debug:
        trace.set_debug()
    if target_dir is None:
        target_dir = os.getcwd()
    trace.debug("Building packaging for %s" % (target_dir,))
    write_packaging(target_dir)
    trace.debug("Built packaging for %s" % (target_dir,))


if __name__ == '__main__':
    main()
