import os

import pkg_resources

from fixtures import TestWithFixtures
from testtools import TestCase

from pkgme.testing import (
    DirExists,
    TempdirFixture,
    )


class ScriptTests(TestCase, TestWithFixtures):
    """Smoke tests for the top-level pkgme script."""

    def run_script(self, cwd):
        ep = pkg_resources.load_entry_point(
            "pkgme", "console_scripts", "pkgme")
        ep(argv=[], target_dir=cwd)

    def test_writes_files(self):
        tempdir = self.useFixture(TempdirFixture())
        tempdir.create_file(
            "setup.py", """from distutils.core import setup

setup(name="foo")
""")
        self.run_script(tempdir.path)
        self.assertThat(tempdir.abspath("debian"), DirExists())
